## zeitgeist 0.7.1

=== debian/changelog ===
zeitgeist (0.7.1-1) unstable; urgency=low

  * New upstream release. Some of the changes are:
     - Expose property information through D-Bus instrospection.
     - Expose DataSourceRegistry's enabled status in a callback.
     - Python API: Reinstall all active callbacks upon daemon restart.
     - Fix a (harmless) race condition requesting the bus name (LP: #732015).
     - Added new event interpretations (AcceptEvent, DenyEvent, ExpireEvent).
     - Compatibility with future 0.8 release.

 -- Siegfried-Angel Gevatter Pujals <rainct@ubuntu.com>  Sun, 20 Mar 2011 16:11:48 +0100

zeitgeist (0.7-1) unstable; urgency=low

  * New upstream release. Some of the changes are:
     - Various performance improvements (speed, reduced I/O, etc).
     - Enhancements to the extensions system (eg. feature to ask which
       extensions are active).
     - Various bug fixes (eg. fixed find_event_for_template Python API method).
     - Added new mimetype mappings.
  * Updated debian/copyright and debian/zeitgeist-core.install.

 -- Siegfried-Angel Gevatter Pujals <rainct@ubuntu.com>  Sat, 22 Jan 2011 14:15:38 +0100

zeitgeist (0.6-1) ppa; urgency=low

  * New upstream release. Some of the changes are:
     - Speed improvements for several queries, mainly through SQL optimization.
     - Several new ResultTypes: *SubjectInterpretation and *Mimetype.
     - FindRelatedUris uses a new algorithm.
  * Removed zeitgeist-datahub, it is now a separate project (and tarball).

 -- Siegfried-Angel Gevatter Pujals <rainct@ubuntu.com>  Fri, 03 Dec 2010 17:52:57 +0100

zeitgeist (0.5.2-1) ppa; urgency=low

  * New upstream release. Some relevant changes are:
     - Initialize ZeitgeistEngine after RemoteInterface, so that --replace
       does its job before the main engine and extensions start (LP: #614315).
     - Extensions and the database connection are now shutdown gracefully when
       the Zeitgeist daemon is asked to stop over D-Bus or receives a SIGHUP.
     - Catch any exceptions trying to notify a monitor of changes and redirect
       them to the error log.
     - Fixed the LeastRecentActor sorting type and introduced OldestActor to
       replace what it did before (LP: #641968, #646124).
     - Added a new helper module to the Python API: zeitgeist.mimetypes
       (LP: #586524):
     - Fixed zeitgeist-datahub to log events from OpenOffice.org (LP: #646724).
     - Several performance fixes and improvements.

 -- Siegfried-Angel Gevatter Pujals <rainct@ubuntu.com>  Mon, 26 Sep 2010 14:22:56 +0200

zeitgeist (0.5.0-1) experimental; urgency=low

  [ Siegfried-Angel Gevatter Pujals ]
  * New upstream release. Some of the changes are:
     - Event subjects are now joined by logical AND instead of OR (LP: #59299).
     - Extensions: hooks have bene renamed and some new ones have been added
       (LP: #592599, #604747).
     - There are two new ResultTypes: MostRecentOrigin and MostPopularOrigin.
  * debian/control:
     - Add Vcs- fields.
  * debian/copyright:
     - Update copyright information.
  * debian/source/format:
     - Switch package format to 3.0 (quilt).

  [ Didier Roche ]
  * debian/control:
     - Bump Standards-Version to 3.9.0.
  * debian/zeitgeist-core.install:
     - Distribute the .pc file as well.

 -- Siegfried-Angel Gevatter Pujals <rainct@ubuntu.com>  Mon, 06 Sep 2010 00:16:13 +0200

zeitgeist (0.4.0+bzr20100718-1) unstable; urgency=low

  * New upstream release:
     - Added support for negation ("!<text>") and right wildcards ("<text>*")
       to many query fields. Also added type expansion (eg.: Image matches
       VectorImage and RasterImage).
     - Fixed DeleteEvents to work with arbitrarily huge amounts of IDs.
     - Several ontology changes (renamed interpretation values). Support for
       automatic database format upgrades.
     - Other fixes, improvements, new API functionalities and translations.
  * Notable changes backported from bzr:
     - Extensions found in the extensions directory are now automatically loaded.
     - Let the GtkRecentlyUsed data-source ignore any exceptions while trying to
       parse .desktop files (LP: #523761).
  * Update debian/control (add raptor-utils and python-rdflib to the build
    dependencies) and debian/zeitgeist-core.install.

 -- Siegfried-Angel Gevatter Pujals <rainct@ubuntu.com>  Fri, 18 Jun 2010 22:15:38 +0200

=== debian/control ===
Source: zeitgeist
Section: utils
Priority: optional
Maintainer: Siegfried-Angel Gevatter Pujals <rainct@ubuntu.com>
Build-Depends: debhelper (>= 7.0.50~),
 intltool,
 python-support (>= 0.90.0~),
 bash-completion (>= 1:1.0-1~),
 python-rdflib,
 raptor-utils
Vcs-Bzr: http://bazaar.launchpad.net/~zeitgeist-packagers/zeitgeist/debian
Vcs-Browser: https://code.edge.launchpad.net/~zeitgeist-packagers/zeitgeist/debian
Homepage: http://zeitgeist-project.com/
Standards-Version: 3.9.1

Package: zeitgeist
Architecture: all
Depends: ${misc:Depends},
 zeitgeist-core,
 zeitgeist-datahub
Description: event logging framework
 Zeitgeist is a service which logs the user's activities and events (files
 opened, websites visited, conversations hold with other people, etc.) and
 makes the relevant information available to other applications.
 .
 It serves as a comprehensive activity log and also makes it possible to
 determine relationships between items based on usage patterns.
 .
 This metapackage depends on the Zeitgeist engine and a set of packages
 (such as data providers) commonly used together with it.

Package: zeitgeist-core
Architecture: all
Depends: ${shlibs:Depends},
 ${misc:Depends},
 ${python:Depends},
 python-xdg,
 python-dbus,
 python-gobject (>= 2.16.0)
Suggests: zeitgeist-datahub
Description: event logging framework - engine
 Zeitgeist is a service which logs the user's activities and events (files
 opened, websites visited, conversations hold with other people, etc.) and
 makes the relevant information available to other applications.
 .
 It serves as a comprehensive activity log and also makes it possible to
 determine relationships between items based on usage patterns.
 .
 This package contains the main daemon and the Python API.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh --with bash-completion $@

override_dh_pysupport:
	dh_pysupport /usr/share/zeitgeist

## zeitgeist 0.8.2

=== doc/zeitgeist/Makefile ===
# Makefile for Zeitgeist's API documentation
# This needs the Sphinx Documentation Generator (http://sphinx.pocoo.org/)

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d build/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html web pickle htmlhelp latex changes linkcheck

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview over all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"

clean:
	rm -rf build/* source/.static
	-rm source/ontology.rst

init: ontology
	mkdir -p build/changes build/doctrees source/.static

html: init
	mkdir -p build/html build/doctrees source/.static
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) build/html
	@echo
	@echo "Build finished. The HTML pages are in build/html."

pickle: init
	mkdir -p build/pickle
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) build/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

web: init pickle

json: init
	mkdir -p build/json
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) build/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp: init
	mkdir -p build/htmlhelp
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) build/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in build/htmlhelp."

latex: init
	mkdir -p build/latex
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) build/latex
	@echo
	@echo "Build finished; the LaTeX files are in build/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes: init
	mkdir -p build/changes
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) build/changes
	@echo
	@echo "The overview file is in build/changes."

ontology:
	python source/make_ontology.py > source/ontology.rst

=== debian/changelog ===
zeitgeist (0.8.2-1) unstable; urgency=low

  * New upstream release:
     - Storage Monitor: Add support for Network Manager 0.9 (LP: #841764).
     - Allow "*" in subject_text (interpreted as plain text).
     - Remove input size limitation from DeleteEvents.
     - Python: Fix the Event constructor to support copying Event instances.
     - Python: Correctly specify the D-Bus interface when introspecting.
  * Update debian/copyright. 

 -- Siegfried-Angel Gevatter Pujals <rainct@ubuntu.com>  Wed, 21 Sep 2011 20:09:07 +0200

zeitgeist (0.8.1.1-1) unstable; urgency=low

  * New upstream release:
     - Fix problem when replacing an existing Zeitgeist instance (LP: #809569).
     - Fix possible crash when zeitgeist-datahub isn't available (LP: #791392).
     - Python API: fix regression affecting get_version and get_extensions
       (Closes: #634306).
     - Added Esperanto translation by Kristjan Schmidt (Closes: #633421).
  * Switch from dh_pysupport to dh_python2.

 -- Siegfried-Angel Gevatter Pujals <rainct@ubuntu.com>  Fri, 22 Jul 2011 23:26:21 +0200

zeitgeist (0.8.1-1) unstable; urgency=low

  * New upstream release. Some of the changes are:
     - Database backup before attempting schema upgrades (LP: #660307).
     - Ensure the engine doesn't attempt to close twice in a row (LP: #793714).
     - Improve the Python API's behavior when Zeitgeist is restarted.
     - Added support for registering custom Event and Subject subclasses with
       ZeitgeistClient (LP: #799199), and added some new API methods.
  * debian/control:
     - Fix typo in the description (hold -> held). Thanks to Travis Reddell.

 -- Siegfried-Angel Gevatter Pujals <rainct@ubuntu.com>  Thu, 07 Jul 2011 16:52:39 +0200

zeitgeist (0.8.0-1) unstable; urgency=low

  * New upstream release. Some of the changes are:
   - Fixed secondary sorting by timestamp for most ResultTypes (LP: #772041).
   - Enabled filtering by availability in FindEvents.
   - Added event origin and current_uri properties (LP: #425258, ...) with
     corresponding ResultTypes and MoveEvent handling (LP: #602211).
   - Fixed inconsistencies caused by the internal cache not being updated when
     events were deleted (LP: #598666).
   - Added a Storage Monitor extension which tracks network connectivity and
     removable devices (LP: #489194).
   - Fixed datahub launching to avoid zombie processes (LP: #739780).
   - Replaced the Blacklist extension giving it a more capable API
     (LP: #612344).
   - Simplified log output (LP: #744818, ...).
   - Fixed bug in the connection (to Zeitgeist) recovery code (LP: #771970).
  * debian/control:
   - Bump Standards-Version to 3.9.2.

 -- Siegfried-Angel Gevatter Pujals <rainct@ubuntu.com>  Sat, 07 May 2011 20:45:57 +0200

=== debian/control ===
--- 
+++ 
@@ -3,15 +3,16 @@
 Priority: optional
 Maintainer: Siegfried-Angel Gevatter Pujals <rainct@ubuntu.com>
 Build-Depends: debhelper (>= 7.0.50~),
+ python (>= 2.6.6-3~),
  intltool,
- python-support (>= 0.90.0~),
  bash-completion (>= 1:1.0-1~),
  python-rdflib,
  raptor-utils
 Vcs-Bzr: http://bazaar.launchpad.net/~zeitgeist-packagers/zeitgeist/debian
 Vcs-Browser: https://code.edge.launchpad.net/~zeitgeist-packagers/zeitgeist/debian
 Homepage: http://zeitgeist-project.com/
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
+X-Python-Version: >= 2.5
 
 Package: zeitgeist
 Architecture: all
@@ -20,7 +21,7 @@
  zeitgeist-datahub
 Description: event logging framework
  Zeitgeist is a service which logs the user's activities and events (files
- opened, websites visited, conversations hold with other people, etc.) and
+ opened, websites visited, conversations held with other people, etc.) and
  makes the relevant information available to other applications.
  .
  It serves as a comprehensive activity log and also makes it possible to
@@ -40,7 +41,7 @@
 Suggests: zeitgeist-datahub
 Description: event logging framework - engine
  Zeitgeist is a service which logs the user's activities and events (files
- opened, websites visited, conversations hold with other people, etc.) and
+ opened, websites visited, conversations held with other people, etc.) and
  makes the relevant information available to other applications.
  .
  It serves as a comprehensive activity log and also makes it possible to

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with bash-completion --with python2

override_dh_python2:
	dh_python2 # for public module
	dh_python2 /usr/share/zeitgeist

## zeitgeist 0.8.99~alpha1

=== debian/changelog ===
zeitgeist (0.8.99~alpha1-1) experimental; urgency=low

  * Upload the new Vala port of Zeitgeist to experimental.
  * debian/*:
     - Updated for the Vala version.
     - Added a python-zeitgeist package.

 -- Siegfried-Angel Gevatter Pujals <rainct@ubuntu.com>  Wed, 30 Nov 2011 19:12:55 +0100

=== debian/control ===
Source: zeitgeist
Section: utils
Priority: optional
Maintainer: Siegfried-Angel Gevatter Pujals <rainct@ubuntu.com>
Build-Depends: debhelper (>= 7.0.50~),
 python-all (>= 2.6.6-3~),
 intltool,
 bash-completion (>= 1:1.0-1~),
 python-rdflib,
 raptor-utils,
 valac-0.14,
 libsqlite3-dev,
 libdbus-1-dev
Vcs-Bzr: http://bazaar.launchpad.net/~zeitgeist-packagers/zeitgeist/debian-bluebird
Vcs-Browser: https://code.edge.launchpad.net/~zeitgeist-packagers/zeitgeist/debian-bluebird
Homepage: http://zeitgeist-project.com/
Standards-Version: 3.9.2
X-Python-Version: >= 2.6

Package: zeitgeist
Architecture: all
Depends: ${misc:Depends},
 zeitgeist-core,
 python-zeitgeist,
 zeitgeist-datahub
Description: event logging framework
 Zeitgeist is a service which logs the user's activities and events (files
 opened, websites visited, conversations held with other people, etc.) and
 makes the relevant information available to other applications.
 .
 It serves as a comprehensive activity log and also makes it possible to
 determine relationships between items based on usage patterns.
 .
 This metapackage depends on the Zeitgeist engine and a set of packages
 (such as data providers) commonly used together with it.

Package: zeitgeist-core
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends},
 ${python:Depends},
 python-zeitgeist
Suggests: zeitgeist-datahub
Provides: zeitgeist-extension-fts
Description: event logging framework - engine
 Zeitgeist is a service which logs the user's activities and events (files
 opened, websites visited, conversations held with other people, etc.) and
 makes the relevant information available to other applications.
 .
 It serves as a comprehensive activity log and also makes it possible to
 determine relationships between items based on usage patterns.
 .
 This package contains the main daemon (in its new Vala implementation,
 codenamed "Bluebird") together with. It also includes the FTS (Full Text
 Search) extension.

Package: python-zeitgeist
Architecture: all
Section: python
Depends: ${misc:Depends},
 ${python:Depends},
 python-xdg,
 python-dbus,
 python-gobject (>= 2.16.0)
Replaces: zeitgeist-core (<< 0.8.99~alpha1)
Breaks: zeitgeist-core (<< 0.8.99~alpha1)
Suggests: zeitgeist-datahub
Description: event logging framework - Python bindings
 Zeitgeist is a service which logs the user's activities and events (files
 opened, websites visited, conversations held with other people, etc.) and
 makes the relevant information available to other applications.
 .
 It serves as a comprehensive activity log and also makes it possible to
 determine relationships between items based on usage patterns.
 .
 This package contains the Python API.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with bash-completion --with python2

override_dh_auto_test:
	echo "not running make check"

override_dh_install:
	dh_install
	dh_python2 -p zeitgeist-core usr/share/zeitgeist/fts-python

## zeitgeist 0.8.99~alpha2

=== debian/changelog ===
zeitgeist (0.8.99~alpha2-2) experimental; urgency=low

  * debian/pragma-exclusive.diff (src/sql-schema.vala):
     - Revert locking_mode from EXCLUSIVE to NORMAL since it creates problems
       with FTS.

 -- Siegfried-Angel Gevatter Pujals <rainct@ubuntu.com>  Mon, 30 Jan 2012 20:02:06 +0100

zeitgeist (0.8.99~alpha2-1) experimental; urgency=low

  * New upstream release. Some of the changes are:
    - Enhanced error handling, reporting and recovery (LP: #848710,
      LP: #743857).
    - The database file is now only readable by the user (LP: #910273).
    - GVFS usage in StorageMonitor has been disabled for now (LP: #905898).
    - Fixed a problem where the FTS extension could block the DB (LP: #919111).
    - Debug messages are no longer displayed by default (LP: #906451).
  * debian/rules:
    - Do not install the raw .trig files.
  * debian/zeitgeist-core.bash_completion:
    - Change source directory from extra/ to data/.

 -- Siegfried-Angel Gevatter Pujals <rainct@ubuntu.com>  Fri, 27 Jan 2012 15:56:06 +0100

=== debian/control ===
--- 
+++ 
@@ -64,7 +64,6 @@
  python-gobject (>= 2.16.0)
 Replaces: zeitgeist-core (<< 0.8.99~alpha1)
 Breaks: zeitgeist-core (<< 0.8.99~alpha1)
-Suggests: zeitgeist-datahub
 Description: event logging framework - Python bindings
  Zeitgeist is a service which logs the user's activities and events (files
  opened, websites visited, conversations held with other people, etc.) and

## zeitgeist 0.9.0

=== debian/changelog ===
zeitgeist (0.9.0-1ubuntu1) precise-proposed; urgency=low

  * debian/patches/01_upstream_cherry_picks.patch:
    - picks some upstream fixes:
    zeitgeist-fts crashed with SIGSEGV in fast_validate()
    (LP: #981300, #954171)
    [11.04 → 12.04 upgrade] Dash is always empty due to zeitgeist crash:
    Unable to upgrade from schema version 3 (LP: #986191)

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 03 May 2012 14:28:29 -0700

zeitgeist (0.9.0-1) unstable; urgency=low

  * New upstream release. Some of the changes are:
     - Updated MIME-type mappings.
     - Added a query result size limit.
     - Enhanced database/index corruption recovery.
     - Don't index events from Ubuntu One.

 -- Siegfried-Angel Gevatter Pujals <rainct@ubuntu.com>  Tue, 10 Apr 2012 15:44:19 +0200

zeitgeist (0.8.99~beta1-1) experimental; urgency=low

  * New upstream release. Some of the changes are:
     - Bug fixes in Zeitgeist and FTS++.
     - Added SearchWithRelevancies D-Bus method to FTS.

 -- Siegfried-Angel Gevatter Pujals <rainct@ubuntu.com>  Tue, 20 Mar 2012 16:10:57 +0100

zeitgeist (0.8.99~alpha3-1) experimental; urgency=low

  * New upstream release. Some of the changes are:
     - The FTS module in Python has been replaced with a C/C++ implementation.
     - Events are pre-processed before they are checked against the blacklist.
     - Fixed reconnection in Python API to avoid duplicate notifications.
     - Support for guessing from more MIME-types and schemas.
  * debian/control:
     - Add libxapian-dev and libdee-dev to Build-Depends.
     - Fix zeitgeist-core description.
  * debian/zeitgeist-core.install, debian/python-zeitgeist.install:
     - Update for FTS.
  * Drop debian/patches/pragma-exclusive.diff (included upstream).

 -- Siegfried-Angel Gevatter Pujals <rainct@ubuntu.com>  Tue, 14 Feb 2012 18:04:14 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,9 @@
  raptor-utils,
  valac-0.14,
  libsqlite3-dev,
- libdbus-1-dev
+ libdbus-1-dev,
+ libxapian-dev,
+ libdee-dev
 Vcs-Bzr: http://bazaar.launchpad.net/~zeitgeist-packagers/zeitgeist/debian-bluebird
 Vcs-Browser: https://code.edge.launchpad.net/~zeitgeist-packagers/zeitgeist/debian-bluebird
 Homepage: http://zeitgeist-project.com/
@@ -51,8 +53,8 @@
  determine relationships between items based on usage patterns.
  .
  This package contains the main daemon (in its new Vala implementation,
- codenamed "Bluebird") together with. It also includes the FTS (Full Text
- Search) extension.
+ codenamed "Bluebird"). It also includes the FTS (Full Text Search)
+ extension.
 
 Package: python-zeitgeist
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -7,5 +7,5 @@
 	echo "not running make check"
 
 override_dh_install:
-	dh_install
+	dh_install -X".trig"
 	dh_python2 -p zeitgeist-core usr/share/zeitgeist/fts-python

=== debian/watch ===
version=3
https://launchpad.net/zeitgeist/+download \
 http://launchpad\.net/zeitgeist/.+/.+/\+download/zeitgeist-(.+)\.tar\.gz

## zeitgeist 0.9.0.1

=== debian/changelog ===
zeitgeist (0.9.0.1-1) unstable; urgency=low

  * New upstream release:
     - Fixed FindRelatedEvents.
     - Added support for upgrading from schema version 3 (LP: #986191).
     - Fixed two segmentation faults in FTS (LP: #954171).
     - Make sure Xapian is closed before releasing the bus name (LP: #989657).
  * Update debian/copyright.

 -- Siegfried-Angel Gevatter Pujals <rainct@ubuntu.com>  Fri, 25 May 2012 19:48:37 +0200

## zeitgeist 0.9.5

=== debian/changelog ===
zeitgeist (0.9.5-0ubuntu1) quantal; urgency=low

  * New upstream bugfix release (LP: #1045587)
  * debian/control:
    - Use standard version 3.9.3
    - Bump build-depends on valac-0.16
  * debian/watch:
    - Fix download location

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 04 Sep 2012 15:42:08 +1200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  bash-completion (>= 1:1.0-1~),
  python-rdflib,
  raptor-utils,
- valac-0.14,
+ valac-0.16 (>= 0.16.0),
  libsqlite3-dev,
  libdbus-1-dev,
  libxapian-dev,
@@ -16,7 +16,7 @@
 Vcs-Bzr: http://bazaar.launchpad.net/~zeitgeist-packagers/zeitgeist/debian-bluebird
 Vcs-Browser: https://code.edge.launchpad.net/~zeitgeist-packagers/zeitgeist/debian-bluebird
 Homepage: http://zeitgeist-project.com/
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 X-Python-Version: >= 2.6
 
 Package: zeitgeist

=== debian/watch ===
version=3
https://launchpad.net/zeitgeist/+download .*/zeitgeist-(.+)\.tar\.bz2

## zeitgeist 0.9.14

=== debian/changelog ===
zeitgeist (0.9.14-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * 0001-WhereClause-Fix-array-length-to-work-with-string.joi.patch:
    Cherry-pick commit to fix SQL errors when built with vala-0.24.
  * 0001-Fix-unit-tests.patch: Cherry-pick another patch to fix a segfault
    when optimising variants. (Closes: #752482)

 -- Iain Lane <laney@debian.org>  Tue, 24 Jun 2014 18:07:28 +0100

zeitgeist (0.9.14-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * 0001-libzeitgeist-Add-a-missing-dependency-on-gio-2.0.patch: Cherry-pick
    commit from to fix a missing dependency on gio-2.0 in the vapi file.
    (Closes: #742483)

 -- Iain Lane <laney@debian.org>  Mon, 23 Jun 2014 11:46:22 +0100

zeitgeist (0.9.14-2) unstable; urgency=low

  * Fix installation of bash completion (Closes: #727089, #727151).
  * Fix section of libzeitgeist-2.0-0; thanks to Justin Rye (Closes: #727166).
  * Build documentation from source; thanks to Paul Tagliamonte.

 -- Siegfried-Angel Gevatter Pujals <rainct@ubuntu.com>  Fri, 25 Oct 2013 22:27:25 +0200

zeitgeist (0.9.14-1) unstable; urgency=low

  * New upstream release (Closes: #714662):
     - Now includes C++/Vala library (libzeitgeist2).
     - Now includes zeitgeist-datahub.
     - Several bug fixes and performance improvements.
  * debian/control:
     - Bump Vala dependency to 0.20 (Closes: #709733).
     - zeitgeist-core no longer depends on python-zeitgeist (the zeitgeist
       meta-package still does, at least for now).
     - Add zeitgeist-datahub (with updated description) and libzeitgeist*.
     - Add/adjust others dependencies as needed for libzeitgeist2, etc.
     - Drop Vcs- lines.
  * debian/*.install:
     - Add .install files for datahub and libzeitgeist2.
  * debian/watch:
     - Update for new Launchpad URLs and .xz tarballs.
  * debian/copyright:
     - Update and add entries for new files.
  * Add libzeitgeist-2.0-0.symbols (updated from libzeitgest source package).
  * Bump Standards-Versions to 3.9.4 and debian/compat to 9.
  * Thanks to Robert Ancell, Rico Tzschichholz, Jeremy Bicha and
    Robert Park for their work maintaining this package in Ubuntu.

 -- Siegfried-Angel Gevatter Pujals <rainct@ubuntu.com>  Mon, 14 Oct 2013 21:21:49 +0200

=== debian/control ===
--- 
+++ 
@@ -2,21 +2,28 @@
 Section: utils
 Priority: optional
 Maintainer: Siegfried-Angel Gevatter Pujals <rainct@ubuntu.com>
-Build-Depends: debhelper (>= 7.0.50~),
+Build-Depends: debhelper (>= 9),
+ autotools-dev,
+ bash-completion (>= 1:1.0-1~),
+ gobject-introspection (>= 1.30.0),
+ gtk-doc-tools,
+ intltool (>= 0.35.0),
+ libdee-dev (>= 1.0.2),
+ libgirepository1.0-dev (>= 1.30.0),
+ libglib2.0-dev (>= 2.26.0),
+ libgtk-3-dev (>= 3.0.0),
+ libjson-glib-dev (>= 0.14.0),
+ libsqlite3-dev (>= 3.7.11),
+ libtelepathy-glib-dev (>= 0.18.0),
+ libxapian-dev,
  python-all (>= 2.6.6-3~),
- intltool,
- bash-completion (>= 1:1.0-1~),
+ python-gi,
  python-rdflib,
  raptor-utils,
- valac-0.16 (>= 0.16.0),
- libsqlite3-dev,
- libdbus-1-dev,
- libxapian-dev,
- libdee-dev
-Vcs-Bzr: http://bazaar.launchpad.net/~zeitgeist-packagers/zeitgeist/debian-bluebird
-Vcs-Browser: https://code.edge.launchpad.net/~zeitgeist-packagers/zeitgeist/debian-bluebird
+ valac (>= 0.20) | valac-0.20,
+ valadoc
 Homepage: http://zeitgeist-project.com/
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 X-Python-Version: >= 2.6
 
 Package: zeitgeist
@@ -38,10 +45,9 @@
 
 Package: zeitgeist-core
 Architecture: any
+Pre-Depends: dpkg (>= 1.15.7.2)
 Depends: ${shlibs:Depends},
- ${misc:Depends},
- ${python:Depends},
- python-zeitgeist
+ ${misc:Depends}
 Suggests: zeitgeist-datahub
 Provides: zeitgeist-extension-fts
 Description: event logging framework - engine
@@ -75,3 +81,121 @@
  determine relationships between items based on usage patterns.
  .
  This package contains the Python API.
+
+Package: libzeitgeist-2.0-0
+Section: libs
+Architecture: any
+Depends: ${shlibs:Depends},
+         ${misc:Depends}
+Multi-Arch: same
+Pre-Depends: multiarch-support
+Recommends: zeitgeist | zeitgeist-core
+Description: library to access Zeitgeist - shared library
+ Zeitgeist is a service which logs the user's activities and events (files
+ opened, websites visited, conversations hold with other people, etc.) and
+ makes the relevant information available to other applications.
+ .
+ It serves as a comprehensive activity log and also makes it possible to
+ determine relationships between items based on usage patterns.
+ .
+ Libzeitgeist is a client library to access and manage the Zeitgeist event
+ log from languages such as C and Vala.
+ .
+ This package contains shared libraries to be used by applications.
+
+Package: libzeitgeist-2.0-dev
+Section: libdevel
+Architecture: any
+Depends: ${misc:Depends},
+         libzeitgeist-2.0-0 (= ${binary:Version}),
+         gir1.2-zeitgeist-2.0 (= ${binary:Version}),
+         libglib2.0-dev (>= 2.26.0)
+Suggests: libzeitgeist-2.0-doc
+Description: library to access Zeitgeist - development files
+ Zeitgeist is a service which logs the user's activities and events (files
+ opened, websites visited, conversations hold with other people, etc.) and
+ makes the relevant information available to other applications.
+ .
+ It serves as a comprehensive activity log and also makes it possible to
+ determine relationships between items based on usage patterns.
+ .
+ Libzeitgeist is a client library to access and manage the Zeitgeist event
+ log from languages such as C and Vala.
+ .
+ This package contains files that are needed to build applications.
+
+Package: libzeitgeist-2.0-0-dbg
+Section: debug
+Architecture: any
+Priority: extra
+Depends: ${misc:Depends},
+         libzeitgeist-2.0-0 (= ${binary:Version})
+Multi-Arch: same
+Description: library to access Zeitgeist - debugging symbols
+ Zeitgeist is a service which logs the user's activities and events (files
+ opened, websites visited, conversations hold with other people, etc.) and
+ makes the relevant information available to other applications.
+ .
+ It serves as a comprehensive activity log and also makes it possible to
+ determine relationships between items based on usage patterns.
+ .
+ Libzeitgeist is a client library to access and manage the Zeitgeist event
+ log from languages such as C and Vala.
+ .
+ This package contains debugging symbols.
+
+Package: libzeitgeist-2.0-doc
+Section: doc
+Architecture: all
+Depends: ${misc:Depends}
+Suggests: devhelp
+Description: library to access Zeitgeist - documentation
+ Zeitgeist is a service which logs the user's activities and events (files
+ opened, websites visited, conversations hold with other people, etc.) and
+ makes the relevant information available to other applications.
+ .
+ It serves as a comprehensive activity log and also makes it possible to
+ determine relationships between items based on usage patterns.
+ .
+ Libzeitgeist is a client library to access and manage the Zeitgeist event
+ log from languages such as C and Vala.
+ .
+ This package contains the documentation.
+
+Package: gir1.2-zeitgeist-2.0
+Section: introspection
+Architecture: any
+Depends: ${misc:Depends},
+ ${gir:Depends},
+ libzeitgeist-2.0-0 (= ${binary:Version})
+Description: library to access Zeitgeist - GObject introspection data
+ Zeitgeist is a service which logs the user's activities and events (files
+ opened, websites visited, conversations hold with other people, etc.) and
+ makes the relevant information available to other applications.
+ .
+ It serves as a comprehensive activity log and also makes it possible to
+ determine relationships between items based on usage patterns.
+ .
+ Libzeitgeist is a client library to access and manage the Zeitgeist event
+ log from languages such as C and Vala.
+ .
+ This package can be used by languages supporting the GIRepository format to
+ generate dynamic bindings.
+
+Package: zeitgeist-datahub
+Architecture: any
+Depends: ${shlibs:Depends},
+ ${misc:Depends},
+ zeitgeist-core (>= 0.9.10~)
+Enhances: zeitgeist-core
+Description: event logging framework - passive logging daemon
+ Zeitgeist is a service which logs the user's activities and events (files
+ opened, websites visited, conversations hold with other people, etc.) and
+ makes the relevant information available to other applications.
+ .
+ It serves as a comprehensive activity log and also makes it possible to
+ determine relationships between items based on usage patterns.
+ .
+ This package contains zeitgeist-datahub, a daemon which starts together with
+ the main engine and inserts information collected from GtkRecentlyUsed, KDE's
+ Recent Documents and several other sources into it.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2,gir,autotools_dev --parallel

override_dh_auto_test:
	echo "not running make check"

override_dh_auto_configure:
	dh_auto_configure -- --enable-datahub \
						 --enable-fts \
						 --enable-telepathy \
						 --enable-docs

override_dh_strip:
	dh_strip --dbg-package=libzeitgeist-2.0-0-dbg

override_dh_install:
	dh_install -X".trig" -X".la" -X".pyc" -X".pyo" --list-missing

## zeitgeist 0.9.16

=== debian/changelog ===
zeitgeist (0.9.16-0ubuntu4) xenial; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * debian/patches/startup-database-vacuum.patch:
    - Perform VACUUM operation on activity DB on startup (LP: #919801)

  [ Iain Lane ]
  * Re-work the above patch to not rely on an upstart job - we don't have
    upstart support in D-Bus and it relied on a fair bit of gymnastics that
    aren't necessary.

 -- Iain Lane <iain@orangesquash.org.uk>  Wed, 24 Feb 2016 14:14:02 +0000

zeitgeist (0.9.16-0ubuntu3~gcc5.1) wily; urgency=medium

  * No-change test rebuild for g++5 ABI transition

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 24 Jul 2015 17:09:20 +0000

zeitgeist (0.9.16-0ubuntu2) wily; urgency=medium

  * debian/patches/fix-test-crash.patch:
    - Fix tests crashing with GCC 5.1 (LP: #1475623)

 -- Robert Ancell <robert.ancell@canonical.com>  Fri, 24 Jul 2015 16:16:14 +1200

zeitgeist (0.9.16-0ubuntu1) wily; urgency=medium

  * New upstream release
  * debian/control:
    - Bump build-depends on libglib2.0-dev, valac
  * debian/libzeitgeist-2.0-0.symbols:
    - Remove Ubuntu version
  * debian/patches/0001-libzeitgeist-Add-a-missing-dependency-on-gio-2.0.patch:
  * debian/patches/0001-Fix-unit-tests.patch:
  * debian/patches/0001-WhereClause-Fix-array-length-to-work-with-string.joi.patch:
  * debian/patches/fix_unit_tests_without_XDG_DATA_DIRS.patch:
    - Applied upstream

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 22 Jul 2015 15:05:08 +1200

zeitgeist (0.9.14-2.2ubuntu5) wily; urgency=medium

  * debian/control:
    - Remove valac-0.20 from build-depends as that package will be removed from
      the archive.

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 16 Jun 2015 16:56:44 +1200

zeitgeist (0.9.14-2.2ubuntu4) wily; urgency=medium

  * debian/control:
    - Make libzeitgeist-2.0-0 recommend zeitgeist-core over zeitgeist to stop
      python-zeitgeist being unnecessarily pulled into the default images
      (LP: #1440373)
  * debian/libzeitgeist-2.0-0.symbols:
    - Updated

 -- Robert Ancell <robert.ancell@canonical.com>  Fri, 12 Jun 2015 15:30:21 +1200

zeitgeist (0.9.14-2.2ubuntu3) vivid; urgency=medium

  * Depend on python-gobject-2 and python-gi instead of python-gobject,
    because it's a transitional package (LP: #778054)

 -- Mathew Hodson <mathew.hodson@gmail.com>  Tue, 10 Mar 2015 08:55:16 -0700

zeitgeist (0.9.14-2.2ubuntu2) utopic; urgency=medium

  * Don't build-depend on valadoc or pass --enable-docs; they're in Universe.

 -- Iain Lane <iain.lane@canonical.com>  Tue, 08 Jul 2014 12:36:53 +0100

zeitgeist (0.9.14-2.2ubuntu1) utopic; urgency=medium

  * Merge with Debian. Remaining changes:
    - Re-enable tests,
      + skip-failing-tests.patch: Don't run two tests which fail.
    - add_datahub_autostart_delay.patch, nodisplay_autostart.patch: Don't
      start for a little while and don't display in Startup Applications.
    - disable-fts-on-touch.patch: Drop redundant FTS/xapian indexer on Ubuntu
      Touch.
    - fix_unit_tests_without_XDG_DATA_DIRS.patch: Fix unit test failure if
      $XDG_DATA_DIRS is not set.
    - pre_populator.patch: Pre-populate the log with some events so that the
      dash isn't empty on first run.
    - dh-autoreconf for the pre-population patch.
    - Run dh_install with --fail-missing instead of --list-missing to catch
      mistakes.

 -- Iain Lane <iain.lane@canonical.com>  Mon, 07 Jul 2014 16:09:17 +0100

zeitgeist (0.9.14-0ubuntu5) utopic; urgency=medium

   * 0001-libzeitgeist-Add-a-missing-dependency-on-gio-2.0.patch: Cherry-pick
     commit from to fix a missing dependency on gio-2.0 in the vapi file.
   * 0001-WhereClause-Fix-array-length-to-work-with-string.joi.patch:
     Cherry-pick commit from upstream to fix build with vala-0.24.

 -- Iain Lane <iain.lane@canonical.com>  Mon, 23 Jun 2014 12:14:44 +0100

zeitgeist (0.9.14-0ubuntu4) trusty; urgency=medium

  * Add 00git_fix_unit_tests.patch: Fix unit test failures. Cherrypicked from
    upstream git.
  * Add fix_unit_tests_without_XDG_DATA_DIRS.patch: Fix unit test failure if
    $XDG_DATA_DIRS is not set.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 15 Jan 2014 08:18:20 +0100

zeitgeist (0.9.14-0ubuntu3) saucy; urgency=low

  * debian/patches/disable-fts-on-touch.patch:
    - Drop redundant FTS/xapian indexer on Ubuntu Touch.

 -- Robert Bruce Park <robert.park@canonical.com>  Tue, 24 Sep 2013 14:37:30 -0700

zeitgeist (0.9.14-0ubuntu2) saucy; urgency=low

  * debian/control:
    - Build with default vala
  * debian/copyright:
    - Fix minor lintian warning
  * debian/rules:
    - Enable fts (LP: #1195841)
    - Don't skip tests
    - Make sure to run dh_strip (fixes lintian error)
  * debian/zeitgeist-core.install:
    - Install fts library and service
  * debian/patches/skip-failing-tests.patch:
    - Temporarily skip the log and monitor tests since they are failing

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 28 Jun 2013 14:05:53 -0400

zeitgeist (0.9.14-0ubuntu1) saucy; urgency=low

  * New upstream release
  * Update debian/control,debian/rules,debian/copyright:
    - Update build-depends accordingly
    - Use standard version 3.9.4
    - Updates for zeitgeist-datahub and libzeitgeist merge
    - Apply wrap-and-sort
    - Bump build-depends on valac-0.20
  * *.install:
    - Add gobject-introspection package
    - Add libzeitgeist-2.0-* and zeitgeist-datahub packages
  * debian/patches:
    - Add and update Ubuntu-specific zeitgeist-datahub patches

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Tue, 18 Jun 2013 10:52:51 +0200

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,14 @@
 Priority: optional
 Maintainer: Siegfried-Angel Gevatter Pujals <rainct@ubuntu.com>
 Build-Depends: debhelper (>= 9),
- autotools-dev,
+ dh-autoreconf,
  bash-completion (>= 1:1.0-1~),
  gobject-introspection (>= 1.30.0),
  gtk-doc-tools,
  intltool (>= 0.35.0),
  libdee-dev (>= 1.0.2),
  libgirepository1.0-dev (>= 1.30.0),
- libglib2.0-dev (>= 2.26.0),
+ libglib2.0-dev (>= 2.35.4),
  libgtk-3-dev (>= 3.0.0),
  libjson-glib-dev (>= 0.14.0),
  libsqlite3-dev (>= 3.7.11),
@@ -20,8 +20,7 @@
  python-gi,
  python-rdflib,
  raptor-utils,
- valac (>= 0.20) | valac-0.20,
- valadoc
+ valac (>= 0.22.0)
 Homepage: http://zeitgeist-project.com/
 Standards-Version: 3.9.4
 X-Python-Version: >= 2.6
@@ -69,7 +68,8 @@
  ${python:Depends},
  python-xdg,
  python-dbus,
- python-gobject (>= 2.16.0)
+ python-gobject-2,
+ python-gi
 Replaces: zeitgeist-core (<< 0.8.99~alpha1)
 Breaks: zeitgeist-core (<< 0.8.99~alpha1)
 Description: event logging framework - Python bindings
@@ -89,7 +89,7 @@
          ${misc:Depends}
 Multi-Arch: same
 Pre-Depends: multiarch-support
-Recommends: zeitgeist | zeitgeist-core
+Recommends: zeitgeist-core | zeitgeist
 Description: library to access Zeitgeist - shared library
  Zeitgeist is a service which logs the user's activities and events (files
  opened, websites visited, conversations hold with other people, etc.) and

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2,gir,autoreconf --parallel

override_dh_auto_configure:
	dh_auto_configure -- --enable-datahub \
						 --enable-fts \
						 --enable-telepathy

override_dh_strip:
	dh_strip --dbg-package=libzeitgeist-2.0-0-dbg

override_dh_install:
	dh_install -X".trig" -X".la" -X".pyc" -X".pyo" --fail-missing

## zeitgeist 1.0

=== debian/changelog ===
zeitgeist (1.0-0ubuntu2) zesty; urgency=medium

  * No-change rebuild against latest vala

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 11 Mar 2017 17:52:39 -0500

zeitgeist (1.0-0ubuntu1) zesty; urgency=medium

  [ Jeremy Bicha ]
  * New upstream release (LP: #1665902)
  * debian/control:
    - Drop Build-Depends on intltool
  * Drop patches applied in new release
    - Give-the-D-Bus-service-files-the-correct-names.patch
    - Add-a-systemd-user-service-for-each-D-Bus-session-se.patch
    - fix_autocomplete.diff
    - fix-test-crash.patch
    - thread-default-context.patch
  * Refresh patches

  [ Iain Lane ]
  * Fix debian/patches/startup-database-vacuum.patch
    - The vacuum mode is now included upstream
    - Move the wrapper script to a file in debian/ and install that
    - Call the wrapper and allow it to fail so that zeitgeist starts for new
      users (LP: #1666495)
  * debian/patches/0001-Fix-placeholder-in-systemd-service-template.patch:
    Cherry-pick. Fix substitution in systemd unit file.

 -- Iain Lane <iain@orangesquash.org.uk>  Wed, 01 Mar 2017 14:09:01 +0000

zeitgeist (0.9.16-0.2ubuntu1) zesty; urgency=medium

  * Sync with Debian. Remaining changes:
    - add_datahub_autostart_delay.patch, nodisplay_autostart.patch: Don't
      start for a little while and don't display in Startup Applications.
    - disable-fts-on-touch.patch: Drop redundant FTS/xapian indexer on Ubuntu
      Touch.
    - pre_populator.patch: Pre-populate the log with some events so that the
      Unity dash isn't empty on first run.
    - debian/rules:
      + Use dh_install --fail-missing
      + Don't ignore dh_auto_test failure
  * Dropped changes:
    - Don't build-depend on valadoc or pass --enable-docs; they're in Universe.
      + Since this does not add a binary universe dependency, it's ok now

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 18 Dec 2016 09:10:47 -0500

zeitgeist (0.9.16-0.2) unstable; urgency=medium

  [ Andrew Shadura ]
  * Non-maintainer upload.
  * Add Vcs-* fields.
  * Add gbp.conf.
  * Merge changes from Ubuntu:
    - Make libzeitgeist-2.0-0 recommend zeitgeist-core over zeitgeist to stop
      python-zeitgeist being unnecessarily pulled into the default images
      (LP: #1440373)
    - Depend on python-gobject-2 and python-gi instead of python-gobject,
      because it's a transitional package (LP: #778054)
    - Skip failing tests.
    - Use dh-autoreconf.
    - Fix autocomplete.
    - Perform VACUUM operation on activity DB on startup (LP: #919801).
    - Ensure the log mainloop uses the current thread's context
      when waiting (LP: #1584849).

  [ Simon McVittie ]
  * Use the conventional names for D-Bus session services.
  * Add a systemd user service for each D-Bus session service.

  [ Héctor Orón Martínez ]
  * Replace raptor-utils build-dep with raptor2-utils.

 -- Andrew Shadura <andrewsh@debian.org>  Thu, 06 Oct 2016 12:00:08 +0200

zeitgeist (0.9.16-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release (Closes: #799180)
    - Fix FTBFS with GCC-5 (Closes: 778192)
    - Adjust the build-dependencies
    - d/p/0001-Fix-unit-tests.patch,
      d/p/0001-WhereClause-Fix-array-length-to-work-with-string.joi.patch,
      d/p/0001-libzeitgeist-Add-a-missing-dependency-on-gio-2.0.patch:
      Dropped, merged upstream
  * Bump Standards-Version to 3.9.6 (no further changes)
  * Replace hardcoded Pre-Depends by ${misc:Pre-Depends} substvars
  * Make gir1.2-zeitgeist-2.0 package multi-arch: same
  * Explicitly set libexecdir to /usr/lib/zeitgeist (Closes: #748762)
  * Re-enable the tests but make them non-fatal
  * d/p/fix-test-crash.patch: Fix tests from crashing with GCC-5, from
    upstream

 -- Laurent Bigonville <bigon@debian.org>  Fri, 16 Oct 2015 13:20:35 +0200

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,9 @@
 Build-Depends: debhelper (>= 9),
  dh-autoreconf,
  bash-completion (>= 1:1.0-1~),
+ dh-python,
  gobject-introspection (>= 1.30.0),
  gtk-doc-tools,
- intltool (>= 0.35.0),
  libdee-dev (>= 1.0.2),
  libgirepository1.0-dev (>= 1.30.0),
  libglib2.0-dev (>= 2.35.4),
@@ -19,10 +19,13 @@
  python-all (>= 2.6.6-3~),
  python-gi,
  python-rdflib,
- raptor-utils,
- valac (>= 0.22.0)
+ raptor2-utils,
+ valac (>= 0.22),
+ valadoc
 Homepage: http://zeitgeist-project.com/
-Standards-Version: 3.9.4
+Standards-Version: 3.9.6
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/zeitgeist.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/zeitgeist.git
 X-Python-Version: >= 2.6
 
 Package: zeitgeist
@@ -44,7 +47,7 @@
 
 Package: zeitgeist-core
 Architecture: any
-Pre-Depends: dpkg (>= 1.15.7.2)
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends},
  ${misc:Depends}
 Suggests: zeitgeist-datahub
@@ -88,7 +91,7 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends}
 Multi-Arch: same
-Pre-Depends: multiarch-support
+Pre-Depends: ${misc:Pre-Depends}
 Recommends: zeitgeist-core | zeitgeist
 Description: library to access Zeitgeist - shared library
  Zeitgeist is a service which logs the user's activities and events (files
@@ -168,6 +171,7 @@
 Depends: ${misc:Depends},
  ${gir:Depends},
  libzeitgeist-2.0-0 (= ${binary:Version})
+Multi-Arch: same
 Description: library to access Zeitgeist - GObject introspection data
  Zeitgeist is a service which logs the user's activities and events (files
  opened, websites visited, conversations hold with other people, etc.) and

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2,gir,autoreconf --parallel

override_dh_auto_configure:
	dh_auto_configure -- --libexecdir=/usr/lib/zeitgeist \
	                     --enable-datahub \
	                     --enable-fts \
	                     --enable-telepathy \
	                     --enable-docs

override_dh_strip:
	dh_strip --dbg-package=libzeitgeist-2.0-0-dbg

override_dh_install:
	dh_install -X".trig" -X".la" -X".pyc" -X".pyo" --fail-missing
